REST API Reference
Complete reference for every endpoint in the Nexudus REST API
Retrieve multiple ProposalSchedule records by their Ids in a single request.
Authorization
ProposalSchedule-Read
[123,456,789]
curl -X GET \ "https://spaces.nexudus.com/api/billing/proposalschedules/?id=[87654321,87654322,87654323]" \ -H "Authorization: Bearer YOUR_TOKEN"
[ { "ProposalId": 0, "ProposalQuantity": null, "ProposalTariffName": null, "ProposalCoworkerId": null, "ProposalCoworkerFullName": null, "ProposalCoworkerBillingName": null, "Notes": null, "Price": null, "ApplyOn": "2025-01-15T10:30:00Z", "Applied": false, "Id": 87654321, "UpdatedOn": "2025-01-15T10:30:00Z", "CreatedOn": "2025-01-10T08:00:00Z", "UniqueId": "a1b2c3d4-e5f6-7890-abcd-ef1234567890", "UpdatedBy": "admin@example.com", "IsNew": false, "SystemId": null, "ToStringText": "ProposalSchedule Example", "LocalizationDetails": null, "CustomFields": null } ]